import request from '@/utils/request'

//查询规则引擎列表
export function list(data){
  return request({
    url: "/engine/version/list",
    method: "get",
    data:data
  })
}

//添加规则引擎版本数据
export  function insert(data){
  return request({
    url: "/engine/version/insert",
    method: "post",
    data:data
  })
}

//删除规则引擎版本信息
export  function del(id){
  return request({
    url: "/engine/version/delete/" + id,
    method: "post",
    data:id
  })
}

//查看等级列表
export  function selectLevel(){
  return request({
    url: "/engine/level/selectLevelList",
    method: "post"
  })
}

// 查询规则引擎版本列表
export function getRuleEngineInfo(id) {
  return request({
    url: '/engine/engine/getRuleEngineInfo/' + id,
    method: 'put'
  })
}


